ATOM Mobility OpenAPI Beta (1.0.0)

Download OpenAPI specification:

API documentation for ATOM Mobility services

Authorization

User authentication and authorization

Request phone verification

First step of the authentication flow. This endpoint initiates the phone verification process. If successful, it will return a phone_token that must be used in the next step. An SMS verification code will be sent to the provided phone number.

Authorizations:
App-Public-Key
Request Body schema: application/json
phone_prefix
required
string <= 3 characters

Phone prefix. Example: "371" for Latvia

phone
required
string <= 32 characters

Phone number without prefix. Example: "21234567"

flow
required
string

Login or register flow. Possible values: "LOGIN", "REGISTER"

boolean or null
Default: null

Skip IP address check. Example: true

boolean or null
Default: null

Skip one time password

boolean or null
Default: null

Skip document verification flow, if it is enabled

Responses

Request samples

Content type
application/json
{
  • "phone_prefix": "str",
  • "phone": "string",
  • "flow": "string",
  • "skip_ip_address_check": null,
  • "skip_otp": null,
  • "skip_document_verification_check": null
}

Response samples

Content type
application/json
{
  • "phone_token": "string",
  • "left_seconds": 0,
  • "phone": "string"
}

Verify phone code

Second step of the authentication flow. This endpoint verifies the SMS code sent to the phone number. It requires the phone_token from the previous step and the 6-digit verification code received via SMS. Upon successful verification, it returns a new phone_token that must be used for login or registration.

Authorizations:
App-Public-Key
Request Body schema: application/json
code
string = 6 characters
Default: null

Verification code. 6 digits. Example: "123456"

phone_token
required
string

Phone token from the previous request

boolean or null
Default: null

Skip IP address check. Example: true

Responses

Request samples

Content type
application/json
{
  • "code": null,
  • "phone_token": "string",
  • "skip_ip_address_check": null
}

Response samples

Content type
application/json
{
  • "phone_token": "string"
}

Register new user

Final step for new user registration. This endpoint requires the phone_token from the verification check step to confirm phone ownership. Upon successful registration, it returns an authentication token that must be used for all subsequent authorized API calls.

Authorizations:
App-Public-Key
Request Body schema: application/json
name
required
string <= 128 characters

Customer name. Example: "John Doe"

email
required
string <= 128 characters

Customer email. Example: "john.doe@example.com"

DeviceOSEnum (string) or null
Default: null

Device OS. Only WEB is supported for OpenAPI. Example: "WEB"

phone_token
required
string

Phone token from the previous request

boolean or null
Default: null

Agree to marketing. Example: true

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "email": "string",
  • "device_os": null,
  • "phone_token": "string",
  • "agree_marketing": null
}

Response samples

Content type
application/json
{
  • "token": "string",
  • "user_id": 0
}

User login

Final step for existing user login. This endpoint requires the phone_token from the verification check step to confirm phone ownership. Upon successful login, it returns an authentication token that must be used for all subsequent authorized API calls.

Authorizations:
App-Public-Key
Request Body schema: application/json
phone_token
required
string

Phone token from the previous request

Responses

Request samples

Content type
application/json
{
  • "phone_token": "string"
}

Response samples

Content type
application/json
{
  • "token": "string",
  • "phone_token": "string",
  • "user_id": 0
}

Dashboard authorization

Authorization for dashboard for openapi flow, using email and password from dashboard

Request Body schema: application/json
email
required
string

Admin email

password
required
string

Admin password

Responses

Request samples

Content type
application/json
{
  • "email": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "access_token": "string",
  • "expires_in": 0,
  • "flow": null
}

User

User related operations

Get user data

Retrieves user information. Can be accessed in two ways:

  1. Using user token obtained from the authorization flow
  2. Using secret key with user_id parameter in the request body
Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "user_id": 0,
  • "user_name": "string",
  • "user_email": "string",
  • "user_phone_prefix": "string",
  • "user_phone": "string",
  • "user_balance": 0,
  • "user_bonus": 0,
  • "user_debt": 0,
  • "user_language": "string",
  • "currency_code": "string"
}

Get user bookings

Retrieves list of user bookings. Can be accessed in two ways:

  1. Using user token obtained from the authorization flow
  2. Using secret key with user_id parameter in the request body
Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

User ID. Works with secret key only.

booking_status
required
string

Booking status. Must be one of: UPCOMING, ENDED, ACTIVE, ALL

Responses

Request samples

Content type
application/json
{
  • "user_id": null,
  • "booking_status": "string"
}

Response samples

Content type
application/json
{
  • "bookings": [
    ]
}

Get user payment methods

Retrieves user payment methods. Can be accessed in two ways:

  1. Using user token obtained from the authorization flow
  2. Using secret key with user_id parameter in the request body
Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

User ID. Works with secret key only.

flow
required
string

SHARING, TAXI or RENTAL flow

Responses

Request samples

Content type
application/json
{
  • "user_id": null,
  • "flow": "string"
}

Response samples

Content type
application/json
{
  • "payment_methods": [
    ]
}

Register a new user

Creates a new user account for registration forms where SMS verification is not integrated. This endpoint only requires App-Public-Key header, no user authentication needed. Note: This is an alternative registration method that bypasses the phone verification flow.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
email
required
string <= 128 characters

New user email

first_name
required
string <= 128 characters

New user first name

last_name
required
string <= 128 characters

New user last name

phone_prefix
required
string <= 3 characters

New user phone prefix

phone
required
string <= 32 characters

New user phone

Responses

Request samples

Content type
application/json
{
  • "email": "string",
  • "first_name": "string",
  • "last_name": "string",
  • "phone_prefix": "str",
  • "phone": "string"
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Add money for user

Available only with secret key

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
amount
required
number

Amount of money to add. Example 1.00

money_type
required
string (MoneyTypeEnum)
Enum: "BONUS" "BALANCE"
integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "amount": 0,
  • "money_type": "BONUS",
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Delete user

Secret key deletion is hard deletion, user token is soft deletion, meaning that user will be deleted in X days

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "status": 0,
  • "message": null
}

Refresh user token

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "token": "string"
}

Rental

Rental related operations

Get available zones

First step of the booking flow. This endpoint returns a list of available rental zones. Each zone includes an ID and title that will be used in subsequent API calls. Only requires App-Public-Key header, no user authentication needed.

Authorizations:
App-Public-Key

Responses

Response samples

Content type
application/json
{
  • "available_zones": [
    ]
}

Get vehicle models

Second step of the booking flow. This endpoint returns available vehicle models for the specified timeframe. Requires pick_up_zone_id and return_zone_id from the zones list (they must match as only A-A rentals are currently supported). Only requires App-Public-Key header, no user authentication needed.

Authorizations:
App-Public-Key
Request Body schema: application/json
pick_up_zone_id
required
integer

Zone ID from available zones, must match the return_zone_id.

return_zone_id
required
integer

Zone ID from available zones, must match the pick_up_zone_id.

pick_up_date
required
string

Pick up date, ISO8601 format, 2025-03-19T15:00:00

return_date
required
string

Return date, ISO8601 format, 2025-03-19T15:00:00

show_exact_match
boolean
Default: false

Return vehicle models only for selected timeframe.

Responses

Request samples

Content type
application/json
{
  • "pick_up_zone_id": 0,
  • "return_zone_id": 0,
  • "pick_up_date": "string",
  • "return_date": "string",
  • "show_exact_match": false
}

Response samples

Content type
application/json
{
  • "vehicle_models": [
    ]
}

Create a new booking

Third step of the booking flow. This endpoint creates a new booking for the selected vehicle. Requires both App-Public-Key and Authorization token headers. The request must include pick_up_zone_id and return_zone_id from the zones list, and vehicle_model_id from the available vehicles list.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
pick_up_zone_id
required
integer

Zone ID from available zones, must match the return_zone_id.

return_zone_id
required
integer

Zone ID from available zones, must match the pick_up_zone_id.

pick_up_date
required
string

Pick up date, ISO8601 format, 2025-03-19T15:00:00

return_date
required
string

Return date, ISO8601 format, 2025-03-19T15:00:00

string or null
Default: null

Overwrite this method ID every time for each flow separately, later you will send this payment method ID in request sharing ride, request taxi, make booking API

integer or null
Default: null

ID of booking model. Required if vehicle_id is empty.

Array of integers or null
Default: null

List of addons IDs

integer or null
Default: null

Pricing package ID

integer or null
Default: null

Not used for OpenAPI. Fleet ID.

integer or null
Default: null

Vehicle ID, required if vehicle_model_id is empty.

boolean or null
Default: null

Payment card required. By default, system default are used. Works with secret key only.

boolean or null
Default: null

Skips wallet check. By default, if user is in debt, creating booking is forbidden. Works with secret key only.

boolean or null
Default: null

Allow user to go in debt. Works with secret key only.

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "pick_up_zone_id": 0,
  • "return_zone_id": 0,
  • "pick_up_date": "string",
  • "return_date": "string",
  • "payment_method_id": null,
  • "vehicle_model_id": null,
  • "addon_ids": null,
  • "pricing_package_id": null,
  • "fleet_id": null,
  • "vehicle_id": null,
  • "allow_to_create_booking_without_saved_card": null,
  • "skip_wallet_check": null,
  • "allow_user_to_go_in_debt": null,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "rental": {
    },
  • "vehicle": {
    }
}

Cancel a booking

This endpoint allows cancellation of an existing booking. Requires both App-Public-Key and Authorization token headers. The booking_id can be obtained from the user bookings list retrieved via user/get-user-bookings endpoint.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
booking_id
required
integer

ID of the booking

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "booking_id": 0,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Sharing

Sharing related operations

Get sharing zones

Retrieves sharing zones information.

Authorizations:
App-Public-Key
Request Body schema: application/json
integer or null
Default: null

Ride ID

integer or null
Default: null

Vehicle ID

Array of strings or null
Default: null

Vehicle types

Array of ZoneTypes (strings) or null
Default: null

Zone types

Responses

Request samples

Content type
application/json
{
  • "ride_id": null,
  • "vehicle_id": null,
  • "vehicle_types": null,
  • "zone_types": null
}

Response samples

Content type
application/json
{
  • "zone_id": 0,
  • "zone_type": "string",
  • "zone_title": "string",
  • "zone_color": "string",
  • "zone_area": {
    },
  • "zone_vehicle_types": [
    ]
}

Get vehicles

Retrieves vehicles information.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
user_longitude
required
number

User longitude. Example 12.345678.

user_latitude
required
number

User latitude. Example 12.345678.

radius_in_km
required
integer

Radius in which to show vehicles around user location.

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "user_longitude": 0,
  • "user_latitude": 0,
  • "radius_in_km": 0,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "vehicles": null,
  • "fleets": null,
  • "addons": null,
  • "zone_update_timestamp": null,
  • "dock_stations": null,
  • "types": null,
  • "hidden_vehicles": null,
  • "selected_payment_method": null,
  • "available_damage_report_vehicle_types": null,
  • "vehicle_models_with_pricing_packages": null,
  • "active_vehicle_ids": null,
  • "message_title": null,
  • "message_description": null,
  • "night_mode": null,
  • "user_location_outdated": false
}

Start ride

Starts a ride. Use either vehicle ID or number.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

Vehicle ID from get-vehicles response

string or null
Default: null

Vehicle number from get-vehicles response

user_longitude
required
number

User longitude. Example 12.345678

user_latitude
required
number

User latitude. Example 12.345678

Array of integers or null
Default: null

If in get-vehicles response, "vehicles" object had "addons" list, then they can be passed in here.Example: [1, 2, 3]

string or null
Default: null

Use "payment_method_id" from "selected_payment_method" object from get-vehicles response

integer or null
Default: null

User ID. Works with secret key only.

boolean or null
Default: false

Skip wallet check. Works with secret key only.

boolean or null
Default: false

Skip save card check. Works with secret key only.

boolean or null
Default: false

Skip auto top-up. Works with secret key only.

boolean or null
Default: false

Skip auto stop. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "vehicle_id": null,
  • "vehicle_number": null,
  • "user_longitude": 0,
  • "user_latitude": 0,
  • "addon_ids": null,
  • "payment_method_id": null,
  • "user_id": null,
  • "skip_wallet_check": false,
  • "skip_save_card_check": false,
  • "skip_auto_topup": false,
  • "skip_auto_stop": false
}

Response samples

Content type
application/json
{
  • "active_ride_id": 0,
  • "manual_locker_code": "string",
  • "vehicle": {
    },
  • "addons": [
    ],
  • "max_allowed_vehicles_per_user": 0
}

End ride

Ends a ride. Use either vehicle ID or number.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: multipart/form-data
integer or null
Default: null

Vehicle ID

string or null
Default: null

Vehicle number

user_longitude
required
number

User longitude

user_latitude
required
number

User latitude

user_location_timestamp
required
integer

User location timestamp

Array of strings or null
Default: null

Send all images using the same name, backend will append all images in 1 list automatically

integer or null
Default: null

User ID. Works with secret key only.

integer or null
Default: null

Active ride ID.

Responses

Response samples

Content type
application/json
{
  • "total_paid": "string",
  • "payment_info": null,
  • "active_ride_id": 0
}

Get current ride

Retrieves the current ride. Available only for active rides.If passed vehicle ID is not in active ride, then will return empty arrays.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
active_vehicle_id
required
Array of integers

Active vehicle ID.

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "active_vehicle_id": [
    ],
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "addons": [
    ],
  • "vehicles": [
    ],
  • "max_allowed_vehicles_per_user": 0,
  • "action_insufficient_funds": null,
  • "insufficient_funds_amount": null,
  • "payment_method_flow": null
}

Get vehicle pricing

Retrieves vehicle pricing. Use either vehicle_id or model_id.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

Vehicle ID.

integer or null
Default: null

Model ID.

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "vehicle_id": null,
  • "model_id": null,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "pricing": null,
  • "pricing_data": null,
  • "additional_info": null,
  • "pricing_packages": null,
  • "subscription_subaccount_id": null,
  • "subscription_available": null,
  • "decreased_price": null
}

Pause vehicle

During active ride pause vehicle. Use either vehicle ID or number.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

Vehicle ID

string or null
Default: null

Vehicle number

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "vehicle_id": null,
  • "vehicle_number": null,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "status": 0,
  • "message": null
}

Unpause vehicle

During active ride unpause vehicle. Use either vehicle ID or number.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

Vehicle ID

string or null
Default: null

Vehicle number

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "vehicle_id": null,
  • "vehicle_number": null,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "status": 0,
  • "message": null
}

Ring vehicle

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
vehicle_id
required
integer

Vehicle ID

user_longitude
required
number

User longitude

user_latitude
required
number

User latitude

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "vehicle_id": 0,
  • "user_longitude": 0,
  • "user_latitude": 0,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "status": 0,
  • "message": null,
  • "ring_action_enabled": null
}

Get active rides of user

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "user_id": 0,
  • "active_ride_ids": [
    ]
}

Get vehicle commands

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
vehicle_id
required
integer

Vehicle ID

Responses

Request samples

Content type
application/json
{
  • "vehicle_id": 0
}

Response samples

Content type
application/json
{
  • "commands": null
}

Send vehicle command

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
vehicle_ids
required
Array of integers

Vehicle IDs to which send command

command
required
string

IoT command

string or null
Default: null

If value is required, then it must be send in this field

Responses

Request samples

Content type
application/json
{
  • "vehicle_ids": [
    ],
  • "command": "string",
  • "value": null
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Taxi

Taxi related operations

Get taxi suggestions

Autocomplete for text based address search

Authorizations:
App-Public-Key
Request Body schema: application/json
address
required
string

Location address

Responses

Request samples

Content type
application/json
{
  • "address": "string"
}

Response samples

Content type
application/json
{
  • "items": [
    ]
}

Get place based on location

Determine place based on location

Authorizations:
App-Public-Key
Request Body schema: application/json
longitude
required
number

Location longitude

latitude
required
number

Location latitude

Responses

Request samples

Content type
application/json
{
  • "longitude": 0,
  • "latitude": 0
}

Response samples

Content type
application/json
{
  • "title": "string",
  • "subtitle": "string",
  • "token": "string"
}

Get drivers

Get drivers

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
waypoints
required
Array of strings

Tokens from suggestion API

is_cash_payment
required
boolean

Whether taxi ride will be paid for with cash

string or null
Default: null

Scheduled date. Example: 2025-07-17

string or null
Default: null

Scheduled time. Example: 14:45

show_driver_list
boolean
Default: false

Return driver list to allocate particular driver for ride

show_offline_classes
boolean
Default: false

DEPRECATED. If true, shows offline classes, price, token, used together with allow_scheduled_rides=true

allow_scheduled_rides
boolean
Default: false

If set to false, will return only available driver vehicle classes

Responses

Request samples

Content type
application/json
{
  • "waypoints": [
    ],
  • "is_cash_payment": true,
  • "scheduled_date": null,
  • "scheduled_time": null,
  • "show_driver_list": false,
  • "show_offline_classes": false,
  • "allow_scheduled_rides": false
}

Response samples

Content type
application/json
{
  • "classes": null,
  • "max_comment_length": 0,
  • "waypoints": [
    ],
  • "drivers": null,
  • "selected_payment_method_info": "string"
}

Request ride

Request ride

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
token
required
string

Driver token

string or null
Default: null

If it is a scheduled ride, scheduled date, 2025-07-24.

string or null
Default: null

If it is a scheduled ride, scheduled time, 12:00.

string or null
Default: ""

User payment method ID.

string or null
Default: null

User comment for driver.

integer or null
Default: null

If need to allocate ride for particular driver.

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "token": "string",
  • "scheduled_date": null,
  • "scheduled_time": null,
  • "payment_method_id": "",
  • "comment": null,
  • "driver_id": null,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "ride_id": 0,
  • "scheduled_ride": null
}

Cancel ride

Cancel ride

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
ride_id
required
integer

Ride ID.

Responses

Request samples

Content type
application/json
{
  • "ride_id": 0
}

Response samples

Content type
application/json
{
  • "status": 0
}

Get ride

Get taxi ride

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

Ride ID.

boolean or null
Default: null

Include all points of the route.

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "ride_id": null,
  • "route_waypoints_required": null,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "ride": null,
  • "next_request_seconds": null,
  • "scheduled_ride_info": null
}

Rate taxi ride

Rate taxi ride

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
ride_id
required
integer

Ride ID

string or null
Default: null

Ride comment

rating
required
integer [ 1 .. 5 ]

Ride rating

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "ride_id": 0,
  • "comment": null,
  • "rating": 1,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "status": 0,
  • "message": null
}

Get scheduled rides

Get scheduled taxi rides

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "scheduled_rides": null,
  • "scheduled_ride_info": null
}

Cancel scheduled ride

Cancel scheduled taxi ride

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
ride_id
required
integer

Ride ID.

integer or null
Default: null

User ID. Works with secret key only.

Responses

Request samples

Content type
application/json
{
  • "ride_id": 0,
  • "user_id": null
}

Response samples

Content type
application/json
{
  • "status": 0,
  • "scheduled_ride_info": null
}

Get taxi rides list

Get paginated list of taxi rides. Available only with secret key authentication.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
page
integer >= 1
Default: 1

Page number, starting from 1.

page_length
integer [ 1 .. 100 ]
Default: 20

Number of items per page.

string or null
Default: null

Search by ride ID, user name, email, phone, or driver plate number.

string or null
Default: null

Filter by ride status. Available values: RIDE_REQUESTED, SCHEDULED_RIDE, RIDE_ACCEPTED, DRIVER_ARRIVED, RIDE_STARTED, RIDE_ENDED, RIDE_CANCELED.

string or null
Default: null

Filter rides from this date (inclusive). Format: YYYY-MM-DD.

string or null
Default: null

Filter rides up to this date (inclusive). Format: YYYY-MM-DD.

Responses

Request samples

Content type
application/json
{
  • "page": 1,
  • "page_length": 20,
  • "search": null,
  • "status": null,
  • "date_from": null,
  • "date_to": null
}

Response samples

Content type
application/json
{
  • "has_next_page": true,
  • "record_count": 0,
  • "data": [
    ]
}

Get taxi customers list

Get paginated list of taxi customers. Available only with secret key authentication.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
page
integer >= 1
Default: 1

Page number, starting from 1.

page_length
integer [ 1 .. 100 ]
Default: 20

Number of items per page.

string or null
Default: null

Search by name, surname, email, or phone number.

Responses

Request samples

Content type
application/json
{
  • "page": 1,
  • "page_length": 20,
  • "search": null
}

Response samples

Content type
application/json
{
  • "has_next_page": true,
  • "record_count": 0,
  • "data": [
    ]
}

Get taxi drivers list

Get paginated list of taxi drivers. Available only with secret key authentication.

Authorizations:
(App-Public-KeyAuthorization)
Request Body schema: application/json
page
integer >= 1
Default: 1

Page number, starting from 1.

page_length
integer [ 1 .. 100 ]
Default: 20

Number of items per page.

string or null
Default: null

Search by name, surname, email, phone, or vehicle plate number.

string or null
Default: null

Filter by driver status. Available values: ONLINE, OFFLINE, NO_CONNECTION.

Responses

Request samples

Content type
application/json
{
  • "page": 1,
  • "page_length": 20,
  • "search": null,
  • "status": null
}

Response samples

Content type
application/json
{
  • "has_next_page": true,
  • "record_count": 0,
  • "data": [
    ]
}

Sharing dashboard

Sharing dashboard related operations.

Get rides info

Get rides info

Authorizations:
Authorization
Request Body schema: application/json
ride_status
required
string
Enum: "ACTIVE" "ENDED" "IN_REVIEW"

Status of rides to fetch

page_length
integer [ 0 .. 100 ]
Default: 50

How many records to show in page

string or null
Default: null

Search query

DateRange (object) or null
Default: null

Date range query

Distance (object) or null
Default: null

Distance query

Duration (object) or null
Default: null

Duration query

Array of integers or null
Default: null

List of vehicle model IDs

export
boolean
Default: false

If set to true, will return in export format

Feedback (object) or null
Default: null

Feedback query

string or null
Default: null

Comments query

parking_quality
Array of strings
Default: null

Parking quality query

string or null
Default: null

Used for pagination

Responses

Request samples

Content type
application/json
{
  • "ride_status": "ACTIVE",
  • "page_length": 50,
  • "search": null,
  • "date_range": null,
  • "distance": null,
  • "duration": null,
  • "models": null,
  • "export": false,
  • "feedback": null,
  • "comments": null,
  • "parking_quality": null,
  • "page_bookmark": null
}

Response samples

Content type
application/json
{
  • "bookmark_next": "string",
  • "bookmark_previous": "string",
  • "has_next_page": true,
  • "has_previous_page": true,
  • "data": [
    ]
}

Forcefully end ride

Forcefully end ride

Authorizations:
Authorization
Request Body schema: application/json
ride_id
required
integer

Ride ID

Responses

Request samples

Content type
application/json
{
  • "ride_id": 0
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Get user info

Get user info

Authorizations:
Authorization
Request Body schema: application/json
Array of UsersStatusFilter (strings) or null
Default: null

Customer status, if not used, ALL will be used as default

Array of BaseSlider (objects) or null
Default: null

Sliders for filtering

DateRange365Days (object) or null
Default: null

Date range

string or null
Default: null

Search

boolean or null
Default: null

If true, response will be in export format.

string or null
Default: null

Used for bookmark

integer or null
Default: 50

Page length. Default page length 50.

Responses

Request samples

Content type
application/json
{
  • "filter": null,
  • "sliders": null,
  • "date_range": null,
  • "search": null,
  • "export": null,
  • "bookmark_next": null,
  • "page_length": 50
}

Response samples

Content type
application/json
{
  • "bookmark_next": "string",
  • "bookmark_previous": "string",
  • "has_next_page": true,
  • "has_previous_page": true,
  • "data": [
    ]
}

Get vehicles info

Get vehicles info

Authorizations:
Authorization
Request Body schema: application/json
integer or null
Default: 50

Page length.

Array of VehicleStatusFilters (strings) or null
Default: null

Vehicle status, if not used, ALL will be used as default

integer or null
Default: 1

Page number

string or null
Default: null

Search options

boolean or null
Default: null

Used for map view

Array of integers or null
Default: null

Vehicle model select

Array of BaseSlider (objects) or null
Default: null

Sliders for filtering

Array of strings or null
Default: null

IoT model

Array of TasksAndDamagesFilter (strings) or null
Default: null

Tasks and damages filter

boolean or null
Default: null

Whether to export or not

string or null
Default: null

Bookmark for export

Array of strings or null
Default: null

Lock status list

Responses

Request samples

Content type
application/json
{
  • "page_length": 50,
  • "filter": null,
  • "page": 1,
  • "search": null,
  • "map_view": null,
  • "models": null,
  • "sliders": null,
  • "iot_models": null,
  • "tasks_and_damages": null,
  • "export": null,
  • "bookmark_next": null,
  • "lock_statuses": null
}

Response samples

Content type
application/json
{
  • "has_next_page": true,
  • "record_count": 0,
  • "data": [
    ]
}

Get vehicle info

Get vehicle info

Authorizations:
Authorization
query Parameters
vehicle_id
required
integer

Vehicle ID.

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "vehicle_number": "string",
  • "vehicle_battery": 0,
  • "coordinates": {
    },
  • "lock": null,
  • "iot": null,
  • "total_rides": 0,
  • "status": "string",
  • "last_park_photo": null,
  • "last_park_date": null,
  • "qr": null,
  • "vin_number": null,
  • "ignition": "string",
  • "error_code": null,
  • "mode": "string",
  • "remaining_range": "string",
  • "total_milage": "string",
  • "first_ride": "string",
  • "last_ride": "string",
  • "last_ride_id": 0,
  • "vehicle_model_id": 0,
  • "vehicle_odometer": "string",
  • "battery_mode": "string",
  • "helmet_available": null,
  • "cable_lock_status": null,
  • "windows_status": null,
  • "backcase_status": null,
  • "vehicle_model": "string",
  • "lock_status": null,
  • "firmware_version": null
}

Get vehicle notes

Get vehicle notes

Authorizations:
Authorization
query Parameters
required
string or integer

Vehicle ID.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

Create vehicle note

Create vehicle note

Authorizations:
Authorization
Request Body schema: application/json
vehicle_id
required
integer

Vehicle ID.

notes
required
string

Notes (max length 384).

Responses

Request samples

Content type
application/json
{
  • "vehicle_id": 0,
  • "notes": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Get tasks info

Get tasks info

Authorizations:
Authorization
Request Body schema: application/json
integer or null
Default: 50

Page length.

string or null
Default: null

Used for pagination.

string or null
Default: null

Search options.

DateRange365Days (object) or null
Default: null

Date range.

Array of TaskStageOptionEnum (strings) or null
Default: ["ALL"]

Stages of tasks to fetch.

(Array of integers or "ALL" (string)) or null
Default: ["ALL"]

Task type ids to fetch. ALL - to fetch all task types.

Array of TaskPriorityOptionEnum (strings) or null
Default: ["ALL"]

Priorities of tasks to fetch.

Array of VehicleStatusEnum (strings) or null
Default: ["ALL"]

Vehicle statuses of tasks to fetch.

Array of integers or null
Default: [0]

Vehicle model ids of tasks to fetch.

export
boolean
Default: false

If true, response will be in export format.

string or null
Default: null

Used for bookmark

integer or null
Default: null

Used for export

Responses

Request samples

Content type
application/json
{
  • "page_length": 50,
  • "page_bookmark": null,
  • "search": null,
  • "date_range": null,
  • "task_stages": [
    ],
  • "task_types": [
    ],
  • "task_priorities": [
    ],
  • "vehicle_statuses": [
    ],
  • "vehicle_model_ids": [
    ],
  • "export": false,
  • "bookmark_next": null,
  • "page": null
}

Response samples

Content type
application/json
{
  • "bookmark_next": "string",
  • "bookmark_previous": "string",
  • "has_next_page": true,
  • "has_previous_page": true,
  • "data": [
    ]
}

Create task

Create task

Authorizations:
Authorization
Request Body schema: application/json
type_id
required
integer

Task type ID.

vehicle_id
required
integer

Vehicle ID.

priority
required
string

Priority of the task. Possible values: LOW, MEDIUM, HIGH.

start_date
required
string

Task start date (format: YYYY-MM-DD).

start_time
required
string

Task start time (format: HH:MM).

string or null
Default: null

Task end date (format: YYYY-MM-DD).

string or null
Default: null

Task end time (format: HH:MM).

string or null
Default: null

Task description.

Responses

Request samples

Content type
application/json
{
  • "type_id": 0,
  • "vehicle_id": 0,
  • "priority": "string",
  • "start_date": "string",
  • "start_time": "string",
  • "end_date": null,
  • "end_time": null,
  • "description": null
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Update task

Update task

Authorizations:
Authorization
Request Body schema: application/json
entity_id
required
integer

Task ID.

action
required
string

Action to perform. Possible values: DELETE, DONE.

Responses

Request samples

Content type
application/json
{
  • "entity_id": 0,
  • "action": "string"
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Get task types info

Get task types info

Authorizations:
Authorization
Request Body schema: application/json
integer or null
Default: 50

Page length.

string or null
Default: null

Used for pagination.

Responses

Request samples

Content type
application/json
{
  • "page_length": 50,
  • "page_bookmark": null
}

Response samples

Content type
application/json
{
  • "bookmark_next": "string",
  • "bookmark_previous": "string",
  • "has_next_page": true,
  • "has_previous_page": true,
  • "next_order_number": 0,
  • "data": [
    ]
}

Create task type

Create task type

Authorizations:
Authorization
Request Body schema: application/json
title
required
string

Task type title.

step_nr
required
integer

Task type step number.

Responses

Request samples

Content type
application/json
{
  • "title": "string",
  • "step_nr": 0
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Update task type

Update task type

Authorizations:
Authorization
Request Body schema: application/json
entity_id
required
integer

Task type ID.

title
required
string

Task type title.

step_nr
required
integer

Task type step number.

Responses

Request samples

Content type
application/json
{
  • "entity_id": 0,
  • "title": "string",
  • "step_nr": 0
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Delete task type

Delete task type

Authorizations:
Authorization
Request Body schema: application/json
entity_id
required
integer

Task type ID.

Responses

Request samples

Content type
application/json
{
  • "entity_id": 0
}

Response samples

Content type
application/json
{
  • "message": "string"
}

Change vehicle status

Change one or multiple vehicle status

Authorizations:
Authorization
Request Body schema: application/json
status
required
string
Enum: "READY" "NOT_READY" "DISCHARGED" "STOLEN" "NEED_INVESTIGATION" "NEED_SERVICE" "CHARGING" "TRANSPORTATION" "STORAGE" "DEPRECATED"

Status of vehicle

vehicle_ids
required
Array of integers

Vehicle IDs list. One or many IDs can be sent.

Responses

Request samples

Content type
application/json
{
  • "status": "READY",
  • "vehicle_ids": [
    ]
}

Response samples

Content type
application/json
{
  • "status": "string",
  • "message": "string"
}

Taxi dashboard

Taxi dashboard related operations.

Get taxi rides

Get paginated list of taxi rides

Authorizations:
Authorization
Request Body schema: application/json
ride_status
required
string

Status of rides to fetch. Allowed: RIDE_REQUESTED, RIDE_ACCEPTED, DRIVER_ARRIVED, RIDE_STARTED, RIDE_ENDED, RIDE_CANCELED, SCHEDULED_RIDE

page_length
integer [ 0 .. 100 ]
Default: 50

How many records to show in page

string or null
Default: null

Search query

TaxiDateRange (object) or null
Default: null

Date range filter

TaxiDistance (object) or null
Default: null

Distance filter in km

Duration (object) or null
Default: null

Duration filter in minutes

TaxiRideFeedback (object) or null
Default: null

Feedback score filter

Array of integers or null
Default: null

List of vehicle class IDs to filter by

export
boolean
Default: false

If true, return in export format

string or null
Default: null

Filter by comment presence. Allowed: ALL, AVAILABLE, EMPTY

string or null
Default: null

Used for cursor-based pagination

Responses

Request samples

Content type
application/json
{
  • "ride_status": "string",
  • "page_length": 50,
  • "search": null,
  • "date_range": null,
  • "distance": null,
  • "duration": null,
  • "feedback": null,
  • "models": null,
  • "export": false,
  • "comments": null,
  • "page_bookmark": null
}

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "has_next_page": true,
  • "has_previous_page": true,
  • "bookmark_next": "string",
  • "bookmark_previous": "string"
}

Get taxi drivers

Get paginated list of taxi drivers

Authorizations:
Authorization
Request Body schema: application/json
Array of strings or null
Default: null

List of driver statuses to filter by. Allowed values: ONLINE, OFFLINE, NO_CONNECTION.

page_length
integer [ 0 .. 100 ]
Default: 50

Number of records per page.

integer or null
Default: 1

Page number (1-based).

string or null
Default: null

Search query matched against driver name, surname, and vehicle number.

boolean or null
Default: null

If true, return drivers in map-view format with geolocation data.

string or null
Default: null

Cursor token for bookmark-based pagination.

boolean or null
Default: null

If true, return data in export format (up to 2000 records per page).

Array of integers or null
Default: null

List of vehicle class IDs to filter by.

Responses

Request samples

Content type
application/json
{
  • "filter": null,
  • "page_length": 50,
  • "page": 1,
  • "search": null,
  • "map_view": null,
  • "page_bookmark": null,
  • "export": null,
  • "class_ids": null
}

Response samples

Content type
application/json
{
  • "has_next_page": true,
  • "record_count": 0,
  • "data": [
    ]
}